<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Title</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.1/css/all.css" integrity="sha384-O8whS3fhG2OnA5Kas0Y9l3cfpmYjapjI0E4theH4iuMD+pLhbf6JI0jIMfYcK3yZ" crossorigin="anonymous">
        <style>
            .gradient-custom-2 {
                /* fallback for old browsers */
                background: #fccb90;

                /* Chrome 10-25, Safari 5.1-6 */
                background: -webkit-linear-gradient(to right, #ee7724, #d8363a, #dd3675, #b44593);

                /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
                background: linear-gradient(to right, #ee7724, #d8363a, #dd3675, #b44593);
            }

            @media (min-width: 768px) {
                .gradient-form {
                    height: 100vh !important;
                }
            }
            @media (min-width: 769px) {
                .gradient-custom-2 {
                    border-top-right-radius: .3rem;
                    border-bottom-right-radius: .3rem;
                }
            }
        </style>
    
      </head>
      <body>
      <section class="h-100 gradient-form" style="background-color: #eee;">
          <div class="container py-5 h-100">
              <div class="row d-flex justify-content-center align-items-center h-100">
                  <div class="col-xl-10">
                      <div class="card rounded-3 text-black">
                          <div class="row g-0">
                              <div class="col-lg-6">
                                  <div class="card-body p-md-5 mx-md-4">

                                      <div class="text-center">
                                          <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/1/13/Logo_PTIT_University.png/800px-Logo_PTIT_University.png"
                                               style="width: 185px;" alt="logo">
                                          <h4 class="mt-1 mb-5 pb-1">Register</h4>

                                      </div>

                                      <form th:action="@{/register}" method="post" th:object="${userEntity}">

                                          <div class="form-outline mb-4">
                                              <input type="text" id="form2Example11" class="form-control"
                                                     placeholder="First Name" th:field="*{firstName}"/>
                                              <label class="form-label" for="form2Example11">First Name</label>
                                          </div>

                                          <div class="form-outline mb-4">
                                              <input type="text" id="form2Example12" class="form-control"
                                                     placeholder="Last Name" th:field="*{lastName}"/>
                                              <label class="form-label" for="form2Example12">Last Name</label>
                                          </div>

                                          <div class="form-outline mb-4">
                                              <input type="email" id="form2Example13" class="form-control"
                                                     placeholder="Email address" th:field="*{emailId}"/>
                                              <label class="form-label" for="form2Example13">Username</label>
                                          </div>

                                          <div class="form-outline mb-4">
                                              <input type="password" id="form2Example22" class="form-control"
                                                     placeholder="password" th:field="*{password}"/>
                                              <label class="form-label" for="form2Example22">Password</label>
                                          </div>

                                          <div class="form-outline mb-4">
                                              <input type="text" class="form-control"
                                                     placeholder="Phone Number" th:field="*{phone}"/>
                                              <label class="form-label" for="form2Example12">Phone Number</label>
                                          </div>

                                          <div class="form-outline mb-4">
                                              <input type="text" class="form-control"
                                                     placeholder="Address" th:field="*{address}"/>
                                              <label class="form-label" for="form2Example12">Address</label>
                                          </div>

                                          <div class="text-center pt-1 mb-5 pb-1">
                                              <button class="btn btn-primary fa-lg gradient-custom-2 mb-3">Register</button>
                                          </div>
                                          <div class="d-flex align-items-center justify-content-center pb-4">
                                              <p class="mb-0 me-2">Already have an account?</p>
                                              <a th:href="@{alogin}" type="button" class="btn btn-outline-danger">Log in</a>
                                          </div>

                                      </form>

                                  </div>
                              </div>
                              <div class="col-lg-6 d-flex align-items-center gradient-custom-2">
                                  <img src="https://mdbcdn.b-cdn.net/img/Photos/new-templates/bootstrap-login-form/draw2.webp"
                                       class="img-fluid" alt="Sample image">
                              </div>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </section>

  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>
</html> 
